package org.sgine.math.store

class ArrayStore private(val length: Int) extends NumericStore {
	val storeType = StoreType.SimpleArray
	private val array = new Array[Double](length)
	
	def apply(index: Int) = array(index)
	
	def modify(index: Int, value: Double) = array(index) = value
}

object ArrayStore {
	def apply(length: Int) = new ArrayStore(length)
}